Skip to main content
GET
/
api
/
migration
/
data-migration
/
runs
List data migration runs
curl --request GET \
  --url https://api.example.com/api/migration/data-migration/runs \
  --header 'Authorization: Bearer <token>'
[
  {
    "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "status_message": "<string>",
    "feature_type": "<string>",
    "migration_type": "<string>",
    "source_format": "<string>",
    "dag_run_id": "<string>",
    "dag_run_ids": [
      "<string>"
    ],
    "config_s3_path": "<string>",
    "report_output_location": "<string>",
    "tracking_database": "<string>",
    "owner_id": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "airflow_dag_url": "<string>",
    "tables_count": 123
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

status
enum<string> | null
Available options:
NEW,
RUNNING,
COMPLETED,
FAILED
migration_type
enum<string> | null
Available options:
file_only,
data_hive_to_hive,
data_hive_to_iceberg,
metadata_hive_to_iceberg
source_format
enum<string> | null
Available options:
mapr,
hdfs,
s3
page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

run_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
status_message
string | null
feature_type
string | null
migration_type
string | null
source_format
string | null
dag_run_id
string | null
dag_run_ids
string[]
config_s3_path
string | null
report_output_location
string | null
tracking_database
string | null
owner_id
string | null
updated_at
string<date-time> | null
completed_at
string<date-time> | null
airflow_dag_url
string | null
tables_count
integer | null